Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.ws.axis2
Class MapResourceHandlerRegistry

    java.lang.Object
      com.jaspersoft.jasperserver.ws.axis2.MapResourceHandlerRegistry

All Implemented Interfaces:
  ResourceHandlerRegistry, org.springframework.beans.factory.InitializingBean

    public class MapResourceHandlerRegistry

extends java.lang.Object
implements ResourceHandlerRegistry, org.springframework.beans.factory.InitializingBean

Version:
  $Id: MapResourceHandlerRegistry.java 10309 2007-10-02 14:08:22Z lucian $
Author:
  Lucian Chirita (lucianc@users.sourceforge.net)

Constructor Summary
`MapResourceHandlerRegistry()`

Method Summary
`void` | `afterPropertiesSet()`
`protected java.lang.String` | `determineWSType(Resource resource)`
`ResourceHandler` | `getHandler(Resource resource)`
`ResourceHandler` | `getHandler(java.lang.String wsType)`
`java.util.Map` | `getTypeHandlers()`
`void` | `setTypeHandlers(java.util.Map typeHandlers)`
`boolean` | `typeExtends(java.lang.String type, java.lang.String parentType)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MapResourceHandlerRegistry

    public MapResourceHandlerRegistry()

Method Detail

### afterPropertiesSet

    public void afterPropertiesSet()
                            throws java.lang.ClassNotFoundException,
                                   java.lang.InstantiationException,
                                   java.lang.IllegalAccessException

  Specified by:
    `afterPropertiesSet` in interface `org.springframework.beans.factory.InitializingBean`
  Throws:
    `java.lang.ClassNotFoundException`
    `java.lang.InstantiationException`
    `java.lang.IllegalAccessException`

### getHandler

    public ResourceHandler getHandler(java.lang.String wsType)

  Specified by:
    `getHandler` in interface `ResourceHandlerRegistry`

### getHandler

    public ResourceHandler getHandler(Resource resource)

  Specified by:
    `getHandler` in interface `ResourceHandlerRegistry`

### determineWSType

    protected java.lang.String determineWSType(Resource resource)

### typeExtends

    public boolean typeExtends(java.lang.String type,
                               java.lang.String parentType)

  Specified by:
    `typeExtends` in interface `ResourceHandlerRegistry`

### getTypeHandlers

    public java.util.Map getTypeHandlers()

### setTypeHandlers

    public void setTypeHandlers(java.util.Map typeHandlers)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.